quotactl07 from ubuntu_ltp_syscalls failed

Bug #1864092 reported by Sean Feole on 2020-02-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-kernel-tests
Undecided
Po-Hsu Lin
linux (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Po-Hsu Lin
Bionic
Undecided
Po-Hsu Lin
Disco
Undecided
Po-Hsu Lin
Eoan
Undecided
Po-Hsu Lin

Bug Description

== SRU Justification ==
This quotactl07 is a new test case added in LTP test suite,

The test will fail with:
  <<<test_output>>>
  incrementing stop
  tst_kconfig.c:62: INFO: Parsing kernel config '/boot/config-5.0.0-38-generic'
  tst_device.c:244: INFO: Using test device LTP_DEV='/dev/loop4'
  tst_mkfs.c:90: INFO: Formatting /dev/loop4 with xfs opts='' extra opts=''
  tst_test.c:1217: INFO: Timeout per run is 0h 05m 00s
  quotactl07.c:34: FAIL: Q_XQUOTARM doesn't have quota type check

  HINT: You _MAY_ be missing kernel fixes, see:

  https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=3dd4d40b4208

== Fix ==
* 3dd4d40b (xfs: Sanity check flags of Q_XQUOTARM call)

Focal got this patch from stable update. This patch can be cherry-picked into all the other kernels.

== Test ==
Test kernels could be found here:
https://people.canonical.com/~phlin/kernel/lp-1864092-quotactl07/

All patched kernels are working as expected,

== Regression Potential ==
Low, change limited to quota on XFS, and it's just adding a check for the flags.

== Original Bug Report ==
Initially Found:
Cloud: GCP
Kernel: 5.0.0-1032.33
Test: ubuntu_ltp_syscalls

02/20 15:04:55 DEBUG| utils:0153| [stdout] startup='Thu Feb 20 14:49:24 2020'
02/20 15:04:55 DEBUG| utils:0153| [stdout] tst_kconfig.c:62: INFO: Parsing kernel config '/boot/config-5.0.0-1032-gcp'
02/20 15:04:55 DEBUG| utils:0153| [stdout] tst_device.c:244: INFO: Using test device LTP_DEV='/dev/loop2'
02/20 15:04:55 DEBUG| utils:0153| [stdout] tst_mkfs.c:90: INFO: Formatting /dev/loop2 with xfs opts='' extra opts=''
02/20 15:04:55 DEBUG| utils:0153| [stdout] tst_test.c:1217: INFO: Timeout per run is 0h 05m 00s
02/20 15:04:55 DEBUG| utils:0153| [stdout] quotactl07.c:34: FAIL: Q_XQUOTARM doesn't have quota type check
02/20 15:04:55 DEBUG| utils:0153| [stdout]
02/20 15:04:55 DEBUG| utils:0153| [stdout] HINT: You _MAY_ be missing kernel fixes, see:
02/20 15:04:55 DEBUG| utils:0153| [stdout]
02/20 15:04:55 DEBUG| utils:0153| [stdout] https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=3dd4d40b4208
02/20 15:04:55 DEBUG| utils:0153| [stdout]
02/20 15:04:55 DEBUG| utils:0153| [stdout] Summary:
02/20 15:04:55 DEBUG| utils:0153| [stdout] passed 0
02/20 15:04:55 DEBUG| utils:0153| [stdout] failed 1
02/20 15:04:55 DEBUG| utils:0153| [stdout] skipped 0
02/20 15:04:55 DEBUG| utils:0153| [stdout] warnings 0
02/20 15:04:55 DEBUG| utils:0153| [stdout] tag=quotactl07 stime=1582210164 dur=4 exit=exited stat=1 core=no cu=0 cs=0
02/20 15:04:55 DEBUG| utils:0153| [stdout] startup='Thu Feb 20 14:49:29 2020'
02/20 15:04:55 DEBUG| utils:0153| [stdout] tst_test.c:1217: INFO: Timeout per run is 0h 05m 00s
02/20 15:04:55 DEBUG| utils:0153| [stdout] read01.c:24: PASS: read(2) returned 512

CVE References

Sean Feole (sfeole) on 2020-02-20
tags: added: 5.0
Po-Hsu Lin (cypressyew) on 2020-02-21
affects: linux-gcp (Ubuntu) → linux (Ubuntu)
Changed in ubuntu-kernel-tests:
assignee: nobody → Po-Hsu Lin (cypressyew)
status: Triaged → In Progress
Changed in linux (Ubuntu Bionic):
assignee: nobody → Po-Hsu Lin (cypressyew)
status: New → In Progress
Changed in linux (Ubuntu Disco):
status: New → In Progress
assignee: nobody → Po-Hsu Lin (cypressyew)

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1864092

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu Eoan):
status: New → Incomplete
Po-Hsu Lin (cypressyew) on 2020-02-21
Changed in linux (Ubuntu Xenial):
status: New → In Progress

Patch already applied to Focal.

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
tags: added: 4.15 4.4 bionic disco eoan xenial
tags: added: 5.3 ubuntu-ltp-syscalls
Po-Hsu Lin (cypressyew) on 2020-02-21
description: updated
Changed in linux (Ubuntu Eoan):
status: Incomplete → In Progress
assignee: nobody → Po-Hsu Lin (cypressyew)
Changed in linux (Ubuntu Xenial):
assignee: nobody → Po-Hsu Lin (cypressyew)
summary: - quotactl07 fails ubuntu_ltp_syscalls in 5.0 linux-gcp
+ quotactl07 from ubuntu_ltp_syscalls failed
Sean Feole (sfeole) on 2020-02-26
tags: added: aws
Po-Hsu Lin (cypressyew) on 2020-03-04
tags: added: kqa-blocker
Sean Feole (sfeole) wrote :

Patch has been applied upstream in focal, removing kqa-blocker.

Sean Feole (sfeole) wrote :

Are there further plans to backport the rest?

Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Disco):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Eoan):
status: In Progress → Fix Committed
Sean Feole (sfeole) on 2020-03-11
tags: removed: kqa-blocker

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
Po-Hsu Lin (cypressyew) wrote :

quotactl07.c:32: PASS: Q_XQUOTARM has quota type check

tags: added: verification-done-xenial
removed: verification-needed-xenial
Po-Hsu Lin (cypressyew) wrote :

Passed with Bionic 4.15.0-94.95

 startup='Fri Mar 27 00:58:32 2020'
 tst_kconfig.c:62: INFO: Parsing kernel config '/boot/config-4.15.0-94-generic'
 tst_device.c:244: INFO: Using test device LTP_DEV='/dev/loop0'
 tst_mkfs.c:90: INFO: Formatting /dev/loop0 with xfs opts='' extra opts=''
 tst_test.c:1229: INFO: Timeout per run is 0h 05m 00s
 quotactl07.c:32: PASS: Q_XQUOTARM has quota type check

 Summary:
 passed 1
 failed 0
 skipped 0
 warnings 0
 tag=quotactl07 stime=1585270712 dur=1 exit=exited stat=0 core=no cu=0 cs=

tags: added: verification-done-bionic
removed: verification-needed-bionic
Changed in ubuntu-kernel-tests:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (20.9 KiB)

This bug was fixed in the package linux - 4.4.0-177.207

---------------
linux (4.4.0-177.207) xenial; urgency=medium

  * xenial/linux: 4.4.0-177.207 -proposed tracker (LP: #1867243)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis
    - [Packaging] update helper scripts

  * Xenial update: 4.4.214 upstream stable release (LP: #1864775)
    - media: iguanair: fix endpoint sanity check
    - x86/cpu: Update cached HLE state on write to TSX_CTRL_CPUID_CLEAR
    - sparc32: fix struct ipc64_perm type definition
    - ASoC: qcom: Fix of-node refcount unbalance to link->codec_of_node
    - cls_rsvp: fix rsvp_policy
    - net: hsr: fix possible NULL deref in hsr_handle_frame()
    - net_sched: fix an OOB access in cls_tcindex
    - tcp: clear tp->total_retrans in tcp_disconnect()
    - tcp: clear tp->segs_{in|out} in tcp_disconnect()
    - media: uvcvideo: Avoid cyclic entity chains due to malformed USB descriptors
    - mfd: dln2: More sanity checking for endpoints
    - brcmfmac: Fix memory leak in brcmf_usbdev_qinit
    - usb: gadget: legacy: set max_speed to super-speed
    - usb: gadget: f_ncm: Use atomic_t to track in-flight request
    - usb: gadget: f_ecm: Use atomic_t to track in-flight request
    - ALSA: dummy: Fix PCM format loop in proc output
    - lib/test_kasan.c: fix memory leak in kmalloc_oob_krealloc_more()
    - powerpc/pseries: Advance pfn if section is not present in lmb_is_removable()
    - mmc: spi: Toggle SPI polarity, do not hardcode it
    - PCI: keystone: Fix link training retries initiation
    - crypto: api - Check spawn->alg under lock in crypto_drop_spawn
    - scsi: qla2xxx: Fix mtcp dump collection failure
    - power: supply: ltc2941-battery-gauge: fix use-after-free
    - of: Add OF_DMA_DEFAULT_COHERENT & select it on powerpc
    - dm space map common: fix to ensure new block isn't already in use
    - crypto: pcrypt - Do not clear MAY_SLEEP flag in original request
    - crypto: api - Fix race condition in crypto_spawn_alg
    - crypto: picoxcell - adjust the position of tasklet_init and fix missed
      tasklet_kill
    - btrfs: set trans->drity in btrfs_commit_transaction
    - ARM: tegra: Enable PLLP bypass during Tegra124 LP1
    - mwifiex: fix unbalanced locking in mwifiex_process_country_ie()
    - sunrpc: expiry_time should be seconds not timeval
    - KVM: x86: Refactor prefix decoding to prevent Spectre-v1/L1TF attacks
    - KVM: x86: Protect DR-based index computations from Spectre-v1/L1TF attacks
    - KVM: x86: Protect kvm_hv_msr_[get|set]_crash_data() from Spectre-v1/L1TF
      attacks
    - KVM: x86: Protect ioapic_write_indirect() from Spectre-v1/L1TF attacks
    - KVM: x86: Protect MSR-based index computations in pmu.h from Spectre-v1/L1TF
      attacks
    - KVM: x86: Protect ioapic_read_indirect() from Spectre-v1/L1TF attacks
    - KVM: x86: Protect MSR-based index computations from Spectre-v1/L1TF attacks
      in x86.c
    - KVM: x86: Protect x86_decode_insn from Spectre-v1/L1TF attacks
    - KVM: x86: Protect MSR-based index computations in fixed_msr_to_seg_unit()
      from Spectre-v1/L1TF attacks
    - KVM: PPC: Book3S HV: Uninit vCPU if vcore creation fails
    - KVM:...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (27.7 KiB)

This bug was fixed in the package linux - 4.15.0-96.97

---------------
linux (4.15.0-96.97) bionic; urgency=medium

  * CVE-2020-8834
    - KVM: PPC: Book3S HV: Factor fake-suspend handling out of
      kvmppc_save/restore_tm
    - KVM: PPC: Book3S PR: Move kvmppc_save_tm/kvmppc_restore_tm to separate file
    - KVM: PPC: Book3S PR: Add guest MSR parameter for
      kvmppc_save_tm()/kvmppc_restore_tm()

linux (4.15.0-94.95) bionic; urgency=medium

  * bionic/linux: 4.15.0-94.95 -proposed tracker (LP: #1868984)

  * Missing wireless network interface after kernel 5.3.0-43 upgrade with eoan
    (LP: #1868442)
    - iwlwifi: mvm: Do not require PHY_SKU NVM section for 3168 devices

linux (4.15.0-93.94) bionic; urgency=medium

  * bionic/linux: 4.15.0-93.94 -proposed tracker (LP: #1868764)

  * quotactl04 from ubuntu_ltp_syscalls failed with B (LP: #1868665)
    - ext4: fix mount failure with quota configured as module

linux (4.15.0-92.93) bionic; urgency=medium

  * bionic/linux: 4.15.0-92.93 -proposed tracker (LP: #1867272)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis
    - [Packaging] update helper scripts

  * Introduce the new NVIDIA 440 series, and add 5.4 Linux compatibility to the
    340 and 390 series (LP: #1854485)
    - [Packaging] NVIDIA -- add support for the 435 and the 440 series

  * Stop using get_scalar_status command in Dell AIO uart backlight driver
    (LP: #1865402)
    - SAUCE: platform/x86: dell-uart-backlight: add get_display_mode command

  * Bionic update: upstream stable patchset 2020-03-12 (LP: #1867194)
    - RDMA/core: Fix locking in ib_uverbs_event_read
    - gpio: zynq: Report gpio direction at boot
    - arm64: ptrace: nofpsimd: Fail FP/SIMD regset operations
    - KVM: arm: Fix DFSR setting for non-LPAE aarch32 guests
    - KVM: arm: Make inject_abt32() inject an external abort instead
    - mtd: onenand_base: Adjust indentation in onenand_read_ops_nolock
    - mtd: sharpslpart: Fix unsigned comparison to zero
    - padata: fix null pointer deref of pd->pinst
    - Input: synaptics - switch T470s to RMI4 by default
    - Input: synaptics - enable SMBus on ThinkPad L470
    - Input: synaptics - remove the LEN0049 dmi id from topbuttonpad list
    - ALSA: hda/realtek - Fix silent output on MSI-GL73
    - ALSA: usb-audio: Apply sample rate quirk for Audioengine D1
    - arm64: cpufeature: Set the FP/SIMD compat HWCAP bits properly
    - ALSA: usb-audio: sound: usb: usb true/false for bool return type
    - ext4: don't assume that mmp_nodename/bdevname have NUL
    - ext4: fix support for inode sizes > 1024 bytes
    - ext4: fix checksum errors with indexed dirs
    - ext4: add cond_resched() to ext4_protect_reserved_inode
    - ext4: improve explanation of a mount failure caused by a misconfigured
      kernel
    - Btrfs: fix race between using extent maps and merging them
    - btrfs: ref-verify: fix memory leaks
    - btrfs: print message when tree-log replay starts
    - btrfs: log message when rw remount is attempted with unclean tree-log
    - arm64: ssbs: Fix context-switch when SSBS is present on all CPUs
    - perf/x86/amd: Add missing L2 misses event spec to AMD Family 17h's ev...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers